## btm 0.9.6

=== docs/requirements.txt ===
mkdocs == 1.5.1
mkdocs-material == 9.1.21
mkdocs-material-extensions == 1.1.1
mdx_truly_sane_lists == 1.3
mike == 1.1.2

=== debian/changelog ===
btm (0.9.6-4) unstable; urgency=medium

  * drop patch 2001_serde_json.patch,
    obsoleted by Debian package changes
  * tighten build-dependency for crate ratatui
  * drop patches 2001_fern.patch 2001_unicode-segmentation.patch,
    obsoleted by Debian package changes; unfuzz patches
  * drop patch 2001_backtrace,
    obsoleted by Debian package changes
  * update and unfuzz patches;
    update DEP-3 headers
  * add patch 2001_toml_edit
    to accept newer branches of crate toml_edit;
    relax build-dependency for crate toml_edit;
    closes: bug#1064136, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 18:19:23 +0100

btm (0.9.6-3) unstable; urgency=medium

  * drop patches 2001_anyhow 2001_starship-battery 2001_crossterm.patch,
    obsoleted by Debian package changes;
    tighten build-dependency for crate crossterm
  * add patch 1001_ratatui,
    to extend dependency to match newer releases of crate ratatui;
    relax build-dependency for crate ratatui

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Nov 2023 14:18:21 +0100

btm (0.9.6-2) unstable; urgency=medium

  * update and unfuzz patches.
  * tighten build-dependencies for crate predicates

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Oct 2023 12:01:29 +0100

btm (0.9.6-1) experimental; urgency=low

  * initial Release;
    closes: bug#1054312

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Oct 2023 16:48:25 +0200

=== debian/control ===
Source: btm
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-cargo,
 dh-sequence-bash-completion,
 help2man <!nodoc>,
 librust-anyhow-1+default-dev,
 librust-backtrace-0.3+default-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+wrap-help-dev,
 librust-concat-string-1+default-dev,
 librust-crossterm-0.27+default-dev,
 librust-ctrlc-3+default-dev,
 librust-ctrlc-3+termination-dev,
 librust-dirs-5+default-dev,
 librust-fern-0.6+default-dev,
 librust-filedescriptor-0.8+default-dev,
 librust-hashbrown-dev (<< 0.15),
 librust-humantime-2+default-dev,
 librust-indexmap-dev (<< 3),
 librust-itertools-dev (<< 0.12),
 librust-kstring-2+arc-dev,
 librust-kstring-2+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nvml-wrapper-0.9+default-dev,
 librust-once-cell-1+default-dev,
 librust-ratatui-0.23+default-dev,
 librust-regex-1+default-dev,
 librust-rustix-0.38+default-dev,
 librust-rustix-0.38+fs-dev,
 librust-rustix-0.38+param-dev,
 librust-rustix-0.38+process-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-starship-battery-0.8+default-dev,
 librust-sysctl-dev (<< 0.6),
 librust-sysinfo-dev (<< 0.30),
 librust-thiserror-1+default-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+formatting-dev,
 librust-time-0.3+macros-dev,
 librust-toml-edit-dev (<< 0.22),
 librust-unicode-segmentation-1+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-assert-cmd-2+default-dev,
 librust-predicates-3+default-dev,
 librust-clap-complete-4+default-dev <!nocheck>,
 librust-clap-mangen-0.2+default-dev <!nocheck>,
 libstring-shellquote-perl,
Standards-Version: 4.6.2
Homepage: https://clementtsang.github.io/bottom
Vcs-Git: https://salsa.debian.org/debian/btm.git
Vcs-Browser: https://salsa.debian.org/debian/btm
Rules-Requires-Root: no

Package: btm
X-Cargo-Crates:
 bottom,
Architecture: any
Multi-Arch: allowed
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
XB-X-Cargo-Built-Using:
 ${cargo:X-Cargo-Built-Using},
Description: customizable graphical process/system monitor for the terminal
 bottom (executable name btm)
 is a customizable graphical process/system monitor for the terminal,
 inspired by gtop, gotop, and htop.
 .
 By default, bottom is somewhat like a dashboard -
 a bunch of different widgets, all showing different things,
 and they all cram together to fit into one terminal.

=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
MANPAGES = debian/btm.1
endif

# use local fork of dh-cargo and cargo wrapper
PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
export PATH PERL5LIB

# enable building manpage and shell completion scripts
export BTM_GENERATE = 1

%:
	dh $@ --buildsystem=cargo

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

execute_after_dh_auto_build: $(DOCS) $(CHANGELOGS)

execute_after_dh_auto_install: $(MANPAGES)

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

# build manpages
debian/btm.1: debian/%.1: debian/btm/usr/bin/%
	mkdir --parents $(dir $@)
	help2man --section 1 --no-info \
		--name "customizable graphical process/system monitor for the terminal" \
		--output $@ $< \
		|| { $1 --help; false; }

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/ClementTsang/bottom/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## btm 0.9.6+20240202

=== docs/requirements.txt ===
mkdocs == 1.5.3
mkdocs-material == 9.5.6
mdx_truly_sane_lists == 1.3
mike == 2.0.0
mkdocs-git-revision-date-localized-plugin == 1.2.2

=== debian/changelog ===
btm (0.9.6+20240202-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 00:01:45 +0200

btm (0.9.6+20240202-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file to track git commits (not release tags)
  * update patches
  * bump build-dependencies for crates ratatui sysinfo
    (see bug#1057254, #1075991);
    stop build-depend on package for crate once_cell
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 09:51:24 +0200

btm (0.9.6-8) unstable; urgency=medium

  * update patch 2001_sysinfo;
    tighten build-dependency for crate sysinfo
  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Jul 2024 21:00:21 +0200

btm (0.9.6-7) unstable; urgency=medium

  * update patches;
    relax build-dependency for crate itertools;
    closes: bug#1054075, #1072257, thanks to Peter Green
  * set Static-Built-Using (not X-Cargo-Built-Using)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2024 08:22:09 +0200

btm (0.9.6-6) unstable; urgency=medium

  * update copyright info: fix file path
  * update dh-cargo fork
  * drop patches 2001_hashbrown 2001_indexmap;
    tighten build-dependencies for crates hashbrown indexmap
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 07:43:16 +0200

btm (0.9.6-5) unstable; urgency=medium

  * drop patches 2001_sysctl 2001_time,
    obsoleted by Debian package changes;
    tighten build-depdendency for crate sysctl

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Apr 2024 20:36:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends:
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
- dh-cargo,
  dh-sequence-bash-completion,
+ dh-sequence-rust,
  help2man <!nodoc>,
  librust-anyhow-1+default-dev,
  librust-backtrace-0.3+default-dev,
@@ -21,17 +21,16 @@
  librust-dirs-5+default-dev,
  librust-fern-0.6+default-dev,
  librust-filedescriptor-0.8+default-dev,
- librust-hashbrown-dev (<< 0.15),
+ librust-hashbrown-0.14+default-dev,
  librust-humantime-2+default-dev,
- librust-indexmap-dev (<< 3),
- librust-itertools-dev (<< 0.12),
+ librust-indexmap-2+default-dev,
+ librust-itertools-dev (<< 0.13),
  librust-kstring-2+arc-dev,
  librust-kstring-2+default-dev,
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
  librust-nvml-wrapper-0.9+default-dev,
- librust-once-cell-1+default-dev,
- librust-ratatui-0.23+default-dev,
+ librust-ratatui-0.25+default-dev,
  librust-regex-1+default-dev,
  librust-rustix-0.38+default-dev,
  librust-rustix-0.38+fs-dev,
@@ -41,8 +40,8 @@
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-starship-battery-0.8+default-dev,
- librust-sysctl-dev (<< 0.6),
- librust-sysinfo-dev (<< 0.30),
+ librust-sysctl-0.5+default-dev,
+ librust-sysinfo-0.30+default-dev,
  librust-thiserror-1+default-dev,
  librust-time-0.3+default-dev,
  librust-time-0.3+formatting-dev,
@@ -54,8 +53,7 @@
  librust-predicates-3+default-dev,
  librust-clap-complete-4+default-dev <!nocheck>,
  librust-clap-mangen-0.2+default-dev <!nocheck>,
- libstring-shellquote-perl,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://clementtsang.github.io/bottom
 Vcs-Git: https://salsa.debian.org/debian/btm.git
 Vcs-Browser: https://salsa.debian.org/debian/btm
@@ -74,8 +72,8 @@
  bash-completion,
 Built-Using:
  ${cargo:Built-Using},
-XB-X-Cargo-Built-Using:
- ${cargo:X-Cargo-Built-Using},
+Static-Built-Using:
+ ${cargo:Static-Built-Using},
 Description: customizable graphical process/system monitor for the terminal
  bottom (executable name btm)
  is a customizable graphical process/system monitor for the terminal,

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,11 @@
 MANPAGES = debian/btm.1
 endif
 
-# use local fork of dh-cargo and cargo wrapper
-PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
-PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
-export PATH PERL5LIB
-
 # enable building manpage and shell completion scripts
 export BTM_GENERATE = 1
 
 %:
-	dh $@ --buildsystem=cargo
+	dh $@
 
 %.html: %.md
 	cmark-gfm $< > $@

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0.9.6+%cd,\
dversionmangle=auto \
https://github.com/ClementTsang/bottom.git \
HEAD

## btm 0.10.2+20241128

=== docs/requirements.txt ===
mkdocs == 1.6.1
mkdocs-material == 9.5.40
mdx_truly_sane_lists == 1.3
mike == 2.1.3
mkdocs-git-revision-date-localized-plugin == 1.2.9

=== debian/changelog ===
btm (0.10.2+20241128-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + add the ability to configure the disk widget's table columns

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    relax build-dependency for crate ratatui.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2024 22:49:16 +0100

btm (0.10.2+20241108-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + fix support for nilfs2 file system

  [ Jonas Smedegaard ]
  * drop patch 2001_itertools, obsoleted by Debian package changes;
    tighten build-dependency for crate itertools
  * update and unfuzz patches
  * relax build-dependencies
    for crates crossterm hashbrown nvml-wrapper unicode-width
  * bump build-dependency for crate starship-battery

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Nov 2024 14:27:56 +0100

btm (0.10.2+20240912-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * update and unfuzz patches
  * update copyright info: update coverage
  * stop generate man page during build,
    handled upstream;
    stop build-depend on help2man
  * build-depend on packages for crates indoc tempfile;
    tighten build-dependencies for crates clap ratatui toml-edit;
    stop build-depend on packages
    for crates fern kstring log serde-json time,
    needed only for unused features

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 01:20:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,30 +7,27 @@
  debhelper-compat (= 13),
  dh-sequence-bash-completion,
  dh-sequence-rust,
- help2man <!nodoc>,
  librust-anyhow-1+default-dev,
  librust-backtrace-0.3+default-dev,
  librust-cfg-if-1+default-dev,
  librust-clap-4+cargo-dev,
  librust-clap-4+default-dev,
+ librust-clap-4+derive-dev,
  librust-clap-4+wrap-help-dev,
  librust-concat-string-1+default-dev,
- librust-crossterm-0.27+default-dev,
+ librust-crossterm-dev (<< 0.29),
  librust-ctrlc-3+default-dev,
  librust-ctrlc-3+termination-dev,
  librust-dirs-5+default-dev,
- librust-fern-0.6+default-dev,
  librust-filedescriptor-0.8+default-dev,
- librust-hashbrown-0.14+default-dev,
+ librust-hashbrown-dev (<< 0.16),
  librust-humantime-2+default-dev,
  librust-indexmap-2+default-dev,
- librust-itertools-dev (<< 0.13),
- librust-kstring-2+arc-dev,
- librust-kstring-2+default-dev,
+ librust-indoc-2+default-dev,
+ librust-itertools-0.13+default-dev,
  librust-libc-0.2+default-dev,
- librust-log-0.4+default-dev,
- librust-nvml-wrapper-0.9+default-dev,
- librust-ratatui-0.25+default-dev,
+ librust-nvml-wrapper-dev (<< 0.11),
+ librust-ratatui-dev (<< 0.30),
  librust-regex-1+default-dev,
  librust-rustix-0.38+default-dev,
  librust-rustix-0.38+fs-dev,
@@ -38,17 +35,15 @@
  librust-rustix-0.38+process-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
- librust-serde-json-1+default-dev,
- librust-starship-battery-0.8+default-dev,
+ librust-starship-battery-0.10+default-dev,
  librust-sysctl-0.5+default-dev,
  librust-sysinfo-0.30+default-dev,
+ librust-tempfile-3+default-dev,
  librust-thiserror-1+default-dev,
- librust-time-0.3+default-dev,
- librust-time-0.3+formatting-dev,
- librust-time-0.3+macros-dev,
- librust-toml-edit-dev (<< 0.22),
+ librust-toml-edit-0.22+default-dev,
+ librust-toml-edit-0.22+serde-dev,
  librust-unicode-segmentation-1+default-dev,
- librust-unicode-width-0.1+default-dev,
+ librust-unicode-width-dev (<< 0.3),
  librust-assert-cmd-2+default-dev,
  librust-predicates-3+default-dev,
  librust-clap-complete-4+default-dev <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
endif

# enable building manpage and shell completion scripts
export BTM_GENERATE = 1

%:
	dh $@

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

execute_after_dh_auto_build: $(DOCS) $(CHANGELOGS)

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

## btm 0.10.2+20250107

=== docs/requirements.txt ===
mkdocs == 1.6.1
mkdocs-material == 9.5.46
mdx_truly_sane_lists == 1.3
mike == 2.1.3
mkdocs-git-revision-date-localized-plugin == 1.3.0

=== scripts/schema/requirements.txt ===
jsonschema-rs == 0.26.1

=== debian/changelog ===
btm (0.10.2+20250107-7) unstable; urgency=medium

  * update git-buildpackage config: use branch debian/unstable

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 13:48:08 +0200

btm (0.10.2+20250107-6) experimental; urgency=medium

  * relax patch 2001_rustix
    to accept newer branches (not only older releases) of crate rustix;
    relax build-dependency for crate rustix;
    closes: bug#1110321, thanks to NoisyCoil
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Aug 2025 12:16:31 +0200

btm (0.10.2+20250107-5) unstable; urgency=medium

  * fix declare crate-related build-dependencies unconditionally
    (drop <\!nocheck> hint);
    closes: bug#1104204, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 May 2025 22:40:15 +0200

btm (0.10.2+20250107-4) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file: improve filename mangling
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 02:50:13 +0100

btm (0.10.2+20250107-3) unstable; urgency=medium

  * tune build flags for hardening and speed

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 12:46:27 +0100

btm (0.10.2+20250107-2) unstable; urgency=medium

  * update patch 2001_unicode-ellipsis
    to ignore broken widechar test;
    closes: bug#1091808, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 00:21:08 +0100

btm (0.10.2+20250107-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * tighten build-dependency for crate unicode-width

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 01:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,7 @@
  librust-nvml-wrapper-dev (<< 0.11),
  librust-ratatui-dev (<< 0.30),
  librust-regex-1+default-dev,
- librust-rustix-0.38+default-dev,
- librust-rustix-0.38+fs-dev,
- librust-rustix-0.38+param-dev,
- librust-rustix-0.38+process-dev,
+ librust-rustix-dev (<< 2),
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-starship-battery-0.10+default-dev,
@@ -43,12 +40,12 @@
  librust-toml-edit-0.22+default-dev,
  librust-toml-edit-0.22+serde-dev,
  librust-unicode-segmentation-1+default-dev,
- librust-unicode-width-dev (<< 0.3),
+ librust-unicode-width-0.2+default-dev,
  librust-assert-cmd-2+default-dev,
  librust-predicates-3+default-dev,
- librust-clap-complete-4+default-dev <!nocheck>,
- librust-clap-mangen-0.2+default-dev <!nocheck>,
-Standards-Version: 4.7.0
+ librust-clap-complete-4+default-dev,
+ librust-clap-mangen-0.2+default-dev,
+Standards-Version: 4.7.2
 Homepage: https://clementtsang.github.io/bottom
 Vcs-Git: https://salsa.debian.org/debian/btm.git
 Vcs-Browser: https://salsa.debian.org/debian/btm

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
mode=git,pgpmode=none,pretty=0.10.2+%cd,\
dversionmangle=auto \
https://github.com/ClementTsang/bottom.git \
HEAD

## btm 0.11.1+~0+20250330+~0.29.0+~0.37.1

=== debian/changelog ===
btm (0.11.1+~0+20250330+~0.29.0+~0.37.1-2) unstable; urgency=medium

  * drop patches 2001_cfg-if 2001_ctrlc 2001_filedescriptor 2001_rustix,
    obsoleted by Debian packaging changes;
    update build-dependencies for crate rustix

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Oct 2025 09:48:43 +0200

btm (0.11.1+~0+20250330+~0.29.0+~0.37.1-1) unstable; urgency=medium

  * update watch file:
    + use Github API
    + track release tags (not git commits)
    + use file format version 5
    + stop mangle filename
  * embed crate timeless
  * update and unfuzz patches
  * tighten build-dependencies for crate nvml-wrapper
  * relax build-dependencies
    for crates crossterm dirs nvml-wrapper sysinfo;
    closes: bug#1116406, thanks to Matthias Geiger
  * update copyright info: update coverage
  * embed crates sysinfo v0.37 (see bug#1111261)
    and ratatui v0.29 (see bug#1111285)
  * update copyright info: update coverage
  * build-depend on libstd-rust-dev;
    closes: bug#1106703, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 02:20:59 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  librust-clap-4+derive-dev,
  librust-clap-4+wrap-help-dev,
  librust-concat-string-1+default-dev,
- librust-crossterm-dev (<< 0.29),
+ librust-crossterm-dev (<< 0.30),
  librust-ctrlc-3+default-dev,
  librust-ctrlc-3+termination-dev,
- librust-dirs-5+default-dev,
+ librust-dirs-dev (<< 7),
  librust-filedescriptor-0.8+default-dev,
  librust-hashbrown-dev (<< 0.16),
  librust-humantime-2+default-dev,
@@ -26,15 +26,18 @@
  librust-indoc-2+default-dev,
  librust-itertools-0.13+default-dev,
  librust-libc-0.2+default-dev,
- librust-nvml-wrapper-dev (<< 0.11),
+ librust-nvml-wrapper-0.11+default-dev,
+ librust-nvml-wrapper-0.11+legacy-functions-dev,
  librust-ratatui-dev (<< 0.30),
  librust-regex-1+default-dev,
- librust-rustix-dev (<< 2),
+ librust-rustix-1+default-dev,
+ librust-rustix-1+fs-dev,
+ librust-rustix-1+param-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-starship-battery-0.10+default-dev,
  librust-sysctl-0.5+default-dev,
- librust-sysinfo-0.30+default-dev,
+ librust-sysinfo-dev,
  librust-tempfile-3+default-dev,
  librust-thiserror-1+default-dev,
  librust-toml-edit-0.22+default-dev,
@@ -45,6 +48,7 @@
  librust-predicates-3+default-dev,
  librust-clap-complete-4+default-dev,
  librust-clap-mangen-0.2+default-dev,
+ libstd-rust-dev,
 Standards-Version: 4.7.2
 Homepage: https://clementtsang.github.io/bottom
 Vcs-Git: https://salsa.debian.org/debian/btm.git

=== debian/watch ===
version: 5
Version-Schema: group
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: ClementTsang
Project: bottom
# parse tag "0.1.0-alpha-4" as "0.1.0~alpha4" (not "4")
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Uversion-Mangle: s/\d\K-([a-z]+)[.-]?(\d)?/~$1$2/

Component: Xtimeless
Source: https://github.com/clementtsang/timeless.git
Matching-Pattern: HEAD
Mode: git
Pretty: 0+%cd

Component: Xratatui
Template: Github
Owner: ratatui
Project: ratatui
Source: https://api.github.com/repos/ratatui/ratatui/git/matching-refs/tags/v0.29
# avoid prereleases
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(0\.29\.0)

Component: Xsysinfo
Template: Github
Owner: guillaumegomez
Project: sysinfo
Source: https://api.github.com/repos/guillaumegomez/sysinfo/git/matching-refs/tags/v0.37

## btm 0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4

=== debian/changelog ===
btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-5) unstable; urgency=medium

  * drop patch 2001_hashbrown,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 22:57:45 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-4) unstable; urgency=medium

  * drop patches 2001_indexmap 2001_rustix,
    obsoleted by Debian packaging changes
  * add patch 1001_hashbrown
    to accept newer minor version of crate hashbrown;
    relax build-dependency for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 01:35:12 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-3) unstable; urgency=medium

  * fix syntax in patch 2004

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 10:09:56 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-2) unstable; urgency=medium

  * skip a failing test

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 00:58:13 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
  * new prerelease of embedded crate ratatui
  * new release of embedded crate sysinfo

  [ Jonas Smedegaard ]
  * drop patches 2001_clap 2001_humantime,
    obsoleted by Debian packaging changes
  * update watch file: bump version prefix for ratatui
  * update and unfuzz patches
  * update copyright info: update coverage
  * build-depend on packages for crates restest termwiz

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Oct 2025 23:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  librust-ctrlc-3+termination-dev,
  librust-dirs-dev (<< 7),
  librust-filedescriptor-0.8+default-dev,
- librust-hashbrown-dev (<< 0.16),
+ librust-hashbrown-0.16+default-dev,
  librust-humantime-2+default-dev,
  librust-indexmap-2+default-dev,
  librust-indoc-2+default-dev,
@@ -30,6 +30,7 @@
  librust-nvml-wrapper-0.11+legacy-functions-dev,
  librust-ratatui-dev (<< 0.30),
  librust-regex-1+default-dev,
+ librust-rstest-dev (<< 0.27),
  librust-rustix-1+default-dev,
  librust-rustix-1+fs-dev,
  librust-rustix-1+param-dev,
@@ -39,6 +40,7 @@
  librust-sysctl-0.5+default-dev,
  librust-sysinfo-dev,
  librust-tempfile-3+default-dev,
+ librust-termwiz-0.23-dev,
  librust-thiserror-1+default-dev,
  librust-toml-edit-0.22+default-dev,
  librust-toml-edit-0.22+serde-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,16 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 DOCS = README.html README.txt
 CHANGELOGS = CHANGELOG.html CHANGELOG.txt
+endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
+
+# trust upstream optimization level unless explicitly disabled
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export DEB_CFLAGS_MAINT_STRIP=-O2
+export DEB_CXXFLAGS_MAINT_STRIP=-O2
 endif
 
 # enable building manpage and shell completion scripts

## btm 0.11.3+~0+20250330+~0.30.0~beta0+~0.37.2+~0.3.4

=== scripts/schema/requirements.txt ===
jsonschema-rs == 0.32.1

=== debian/changelog ===
btm (0.11.3+~0+20250330+~0.30.0~beta0+~0.37.2+~0.3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release
  * new prerelease(s) of embedded crate ratatui

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on packages for crates lru strum;
    tighten build-dependency for crate crossterm;
    relax build-dependencies for crates itertools toml_edit
  * install desktop file and icon file

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Nov 2025 18:44:14 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  librust-clap-4+derive-dev,
  librust-clap-4+wrap-help-dev,
  librust-concat-string-1+default-dev,
- librust-crossterm-dev (<< 0.30),
+ librust-crossterm-0.28+default-dev,
  librust-ctrlc-3+default-dev,
  librust-ctrlc-3+termination-dev,
  librust-dirs-dev (<< 7),
@@ -24,8 +24,9 @@
  librust-humantime-2+default-dev,
  librust-indexmap-2+default-dev,
  librust-indoc-2+default-dev,
- librust-itertools-0.13+default-dev,
+ librust-itertools-dev (<< 0.15),
  librust-libc-0.2+default-dev,
+ librust-lru-dev (<< 0.17),
  librust-nvml-wrapper-0.11+default-dev,
  librust-nvml-wrapper-0.11+legacy-functions-dev,
  librust-ratatui-dev (<< 0.30),
@@ -37,13 +38,13 @@
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-starship-battery-0.10+default-dev,
+ librust-strum-dev (<< 0.28),
  librust-sysctl-0.5+default-dev,
  librust-sysinfo-dev,
  librust-tempfile-3+default-dev,
  librust-termwiz-0.23-dev,
  librust-thiserror-1+default-dev,
- librust-toml-edit-0.22+default-dev,
- librust-toml-edit-0.22+serde-dev,
+ librust-toml-edit-dev (<< 0.24),
  librust-unicode-segmentation-1+default-dev,
  librust-unicode-width-0.2+default-dev,
  librust-assert-cmd-2+default-dev,

=== debian/watch ===
--- 
+++ 
@@ -20,12 +20,16 @@
 Template: Github
 Owner: ratatui
 Project: ratatui
-Source: https://api.github.com/repos/ratatui/ratatui/git/matching-refs/tags/v0.29
-# avoid prereleases
-Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(0\.29\.0)
+Source: https://api.github.com/repos/ratatui/ratatui/git/matching-refs/tags/ratatui-v0.30
+Uversion-Mangle: s/\d\K-([a-z]+)[.-]?(\d)?/~$1$2/
 
 Component: Xsysinfo
 Template: Github
 Owner: guillaumegomez
 Project: sysinfo
 Source: https://api.github.com/repos/guillaumegomez/sysinfo/git/matching-refs/tags/v0.37
+
+Component: Xline-clipping
+Template: Github
+Owner: joshka
+Project: line-clipping

## btm 0.11.4+~0+20250330+~0.30.0~beta0+~0.37.2+~0.3.4

=== debian/changelog ===
btm (0.11.4+~0+20250330+~0.30.0~beta0+~0.37.2+~0.3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 2001_anyhow 2001_serde 2001_starship-battery,
    obsoleted by Debian packaging changes;
    tighten build-dependencies for crate serde
  * update patch 2001_toml_edit
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 11:16:44 +0100

=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
  librust-rustix-1+default-dev,
  librust-rustix-1+fs-dev,
  librust-rustix-1+param-dev,
- librust-serde-1+default-dev,
- librust-serde-1+derive-dev,
+ librust-serde-1+default-dev (>= 1.0.226),
+ librust-serde-1+derive-dev (>= 1.0.226),
  librust-starship-battery-0.10+default-dev,
  librust-strum-dev (<< 0.28),
  librust-sysctl-0.5+default-dev,

## btm 0.12.3%2B~0%2B20250330%2B~0.30.0%2B~0.37.2%2B~0.3.5

=== debian/changelog ===
btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-6) unstable; urgency=medium

  * drop patches 2001_kausari 2001_toml_edit,
    obsoleted by Debian package changes;
    build-depend on librust-kasuari-dev
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * relax build-dependencies for all crates

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Feb 2026 13:00:06 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-5) unstable; urgency=medium

  * drop patch 2001_dirs, obsoleted by Debian packaging changes;
    tighten build-dependency for crate dirs
  * drop patch 2001_bitflags, obsoleted by Debian packaging changes
  * relax build-dependency for crate toml_edit;
    closes: bug#1125406, thanks to Peter Michael Green
  * update copyright info:
    + repackage upstream source to avoid any .git* files
  * update watch file:
    + use repack suffix +ds

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jan 2026 20:49:12 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-4) unstable; urgency=medium

  * fix patch 2001_portable-pty

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 17:35:16 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-3) unstable; urgency=medium

  * fix patch 2004

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 16:29:41 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-2) unstable; urgency=medium

  * drop patches 2001_cfg-if 2001_clap 2001_clap_complete
    2001_clap_mangen 2001_indoc,
    obsoleted by Debian packaging changes
  * extend patch 2004
    to also ignore collection::tests::test_data_collection
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 13:59:13 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patches 2001_toml_edit,
    obsoleted by Debian packaging changes;
    tighten build-dependencies for crate toml_edit
  * drop patch 2001_libc, obsoleted by Debian packaging changes
  * update and unfuzz patches
  * stop build-depend on package for crate backtrace
  * update install path for application icon
  * update copyright info: update coverage
  * build-depend on package for crate nohash-hasher

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Jan 2026 15:05:07 +0100

=== debian/control ===
Source: btm
Section: utils
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 cmark-gfm <!nodoc>,
 librust-anyhow-dev,
 librust-assert-cmd-dev,
 librust-cfg-if-dev,
 librust-clap-complete-dev,
 librust-clap-dev,
 librust-clap-mangen-dev,
 librust-concat-string-dev,
 librust-crossterm-dev,
 librust-ctrlc-dev,
 librust-dirs-dev,
 librust-filedescriptor-dev,
 librust-hashbrown-dev,
 librust-humantime-dev,
 librust-indexmap-dev,
 librust-indoc-dev,
 librust-itertools-dev,
 librust-kasuari-dev,
 librust-libc-dev,
 librust-lru-dev,
 librust-nohash-hasher-dev,
 librust-nvml-wrapper-dev,
 librust-predicates-dev,
 librust-ratatui-dev,
 librust-regex-dev,
 librust-rstest-dev,
 librust-rustix-dev,
 librust-serde-dev,
 librust-starship-battery-dev,
 librust-strum-dev,
 librust-sysctl-dev,
 librust-sysinfo-dev,
 librust-tempfile-dev,
 librust-termwiz-dev,
 librust-thiserror-dev,
 librust-toml-edit-dev,
 librust-unicode-segmentation-dev,
 librust-unicode-width-dev,
 libstd-rust-dev,
Standards-Version: 4.7.3
Homepage: https://clementtsang.github.io/bottom
Vcs-Git: https://salsa.debian.org/debian/btm.git
Vcs-Browser: https://salsa.debian.org/debian/btm

Package: btm
X-Cargo-Crates:
 bottom,
Architecture: any
Multi-Arch: allowed
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: customizable graphical process/system monitor for the terminal
 bottom (executable name btm)
 is a customizable graphical process/system monitor for the terminal,
 inspired by gtop, gotop, and htop.
 .
 By default, bottom is somewhat like a dashboard -
 a bunch of different widgets, all showing different things,
 and they all cram together to fit into one terminal.

## btm 0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5

=== debian/control ===
Source: btm
Section: utils
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 librust-anyhow-1+default-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+wrap-help-dev,
 librust-concat-string-1+default-dev,
 librust-crossterm-0.28+default-dev,
 librust-ctrlc-3+default-dev,
 librust-ctrlc-3+termination-dev,
 librust-dirs-6+default-dev,
 librust-filedescriptor-0.8+default-dev,
 librust-hashbrown-0.16+default-dev,
 librust-humantime-2+default-dev,
 librust-indexmap-2+default-dev,
 librust-indoc-2+default-dev,
 librust-itertools-dev (<< 0.15),
 librust-libc-0.2+default-dev,
 librust-lru-dev (<< 0.17),
 librust-nohash-hasher-0.2+default-dev,
 librust-nvml-wrapper-0.11+default-dev,
 librust-nvml-wrapper-0.11+legacy-functions-dev,
 librust-ratatui-dev (<< 0.30),
 librust-regex-1+default-dev,
 librust-rstest-dev (<< 0.27),
 librust-rustix-1+default-dev,
 librust-rustix-1+fs-dev,
 librust-rustix-1+param-dev,
 librust-serde-1+default-dev (>= 1.0.226),
 librust-serde-1+derive-dev (>= 1.0.226),
 librust-starship-battery-0.10+default-dev,
 librust-strum-dev (<< 0.28),
 librust-sysctl-0.5+default-dev,
 librust-sysinfo-dev,
 librust-tempfile-3+default-dev,
 librust-termwiz-0.23-dev,
 librust-thiserror-1+default-dev,
 librust-toml-edit-dev (<< 0.25),
 librust-unicode-segmentation-1+default-dev,
 librust-unicode-width-0.2+default-dev,
 librust-assert-cmd-2+default-dev,
 librust-predicates-3+default-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 libstd-rust-dev,
Standards-Version: 4.7.3
Homepage: https://clementtsang.github.io/bottom
Vcs-Git: https://salsa.debian.org/debian/btm.git
Vcs-Browser: https://salsa.debian.org/debian/btm

Package: btm
X-Cargo-Crates:
 bottom,
Architecture: any
Multi-Arch: allowed
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: customizable graphical process/system monitor for the terminal
 bottom (executable name btm)
 is a customizable graphical process/system monitor for the terminal,
 inspired by gtop, gotop, and htop.
 .
 By default, bottom is somewhat like a dashboard -
 a bunch of different widgets, all showing different things,
 and they all cram together to fit into one terminal.
